My Oracle Support Banner

Oracle Warehouse Builder and OPatch Troubleshooting (Doc ID 433538.1)

Last updated on NOVEMBER 20, 2019

Applies to:

Oracle Warehouse Builder - Version 10.2 to 11.2 [Release 10.2 to 11.2]
Information in this document applies to any platform.

Purpose

This note should help customers and support engineers working with OPatch and Oracle Warehouse Builder (OWB).
It has an introduction about Opatch and how Opatch is used with OWB as well as guidelines for troubleshooting OWB PSE installation with Opatch.

Scope

This is intended to help Oracle Warehouse Builder 10.2.0.2 onwards PSE installation

Opatch Introduction

The Interim Patch Installer, OPatch, is an Oracle supplied utility to assist with the process of applying interim patches (PSE) to Oracle software.
OPatch supports:
· Applying an interim patch
· Rolling back the application of an interim patch
· Conflict resolution when applying an interim patch after previous interim patches have been applied
· Reporting on installed products and Interim (One-Off) patch
All OPatch commands have a –help option that will display the usage details for that command.
The help syntax is:
opatch [ -h[elp] { [ apply | lsinventory | rollback | version ]}


Opatch and Oracle Warehouse Builder

OWB PSE (Patch Set Exception) released since 25-MAY-2007 are installed using Opatch.

It is always recommended to have and use the latest opatch version. Minimun opatch version is 10.2.0.1.3 for OWB 10.2.xx., version 11.1.0.6.0 for OWB 11.1.xxx.
Database OPATCH utility (<Patch:6880880>) should be downloaded from My oracle Support.

Details

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Purpose
Scope
Details
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.